Subject: Re: [PATCH v2] Add --track option to git clone

From: David Soria Parra <[email-masked]>
Date: Wed, 2 Dec 2009 19:27:27 +0000 (UTC)

On 2009-12-02, Jeff King <[email-masked]> wrote:
>   1. Add "--track foo" as a convenience wrapper for "-f foo -b foo".
>
>   2. If no "-b" is given, the first "-f" is assumed as "-b". So "git
>      clone -f foo" becomes equivalent to David's --track.
>
> And of course the name "-f" (for --fetch, if you were wondering) is open
> to suggestion.
>
> What do you think?
>
This approach is much better than my initial proposal. Sadly I won't have time
to implement this, which is why I wrote the simplest working solution for me.
Fetch seems to reasonable. I can rewrite the patch to be able to use refspecs, but
it would require additional refactoring to be able to specify multiple --fetch parameters.

David